Index: data/trunk/levels/vertical_scroller.oxw
===================================================================
--- data/trunk/levels/vertical_scroller.oxw	(revision 4651)
+++ data/trunk/levels/vertical_scroller.oxw	(revision 4652)
@@ -88,11 +88,75 @@
     </Rotor>
 
+    <Rotor>
+      <name>meteorit09</name>
+      <model>models/planets/asteroid_FA108.obj, 15</model>
+      <abs-coor>3700,-400,-10</abs-coor>
+      <rotation>0,1,3</rotation>
+      <Size>100</Size>
+    </Rotor>
+
+    <Rotor>
+      <name>meteorit10</name>
+      <model>models/planets/asteroid_FA48.obj, 10</model>
+      <abs-coor>3800,-500,20</abs-coor>
+      <rotation>1,2,0</rotation>
+      <Size>100</Size>
+    </Rotor>
+
+    <Rotor>
+      <name>meteorit11</name>
+      <model>models/planets/asteroid_FA108.obj, 20</model>
+      <abs-coor>4000,-600,-20</abs-coor>
+      <rotation>3,4,0</rotation>
+      <Size>100</Size>
+    </Rotor>
+
+    <Rotor>
+      <name>meteorit12</name>
+      <model>models/planets/asteroid_FA48.obj, 5</model>
+      <abs-coor>4200,-50,20</abs-coor>
+      <rotation>1,0,5</rotation>
+      <Size>100</Size>
+    </Rotor>
+
+    <Rotor>
+      <name>meteorit13</name>
+      <model>models/planets/asteroid_FA108.obj, 20</model>
+      <abs-coor>4500,-500,30</abs-coor>
+      <rotation>2,1,0</rotation>
+      <Size>100</Size>
+    </Rotor>
+
+    <Rotor>
+      <name>meteorit14</name>
+      <model>models/planets/asteroid_FA48.obj, 15</model>
+      <abs-coor>4700,-300,20</abs-coor>
+      <rotation>0,6,2</rotation>
+      <Size>100</Size>
+    </Rotor>
+
+    <Rotor>
+      <name>meteorit15</name>
+      <model>models/planets/asteroid_FA108.obj, 20</model>
+      <abs-coor>5000,-800,40</abs-coor>
+      <rotation>1,1,0</rotation>
+      <Size>100</Size>
+    </Rotor>
+
+    <Rotor>
+      <name>meteorit16</name>
+      <model>models/planets/asteroid_FA108.obj, 15</model>
+      <abs-coor>5200,-400,30</abs-coor>
+      <rotation>0,2,3</rotation>
+      <Size>100</Size>
+    </Rotor>
+
     <NPC>
       <name>Pirate01</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <enableAI>1</enableAI>
+<!--      <enableAI>1</enableAI> -->
       <team>1</team>
       <swarm>1</swarm>
-      <attackDistance>1</attackDistance>
+      <attackDistance>0.5</attackDistance>
       <maxSpeed>500</maxSpeed>
       <Weapons>
@@ -105,5 +169,5 @@
       </Weapons>
       <abs-coor>3500, 0, -20</abs-coor>
-      <abs-dir>1.5 , 0,1,0</abs-dir>
+      <abs-dir>3.14 , 0,1,0</abs-dir>
     </NPC>
 
@@ -111,8 +175,8 @@
       <name>Pirate02</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <enableAI>1</enableAI>
+<!--      <enableAI>1</enableAI> -->
       <team>1</team>
       <swarm>1</swarm>
-      <attackDistance>1</attackDistance>
+      <attackDistance>0.5</attackDistance>
       <maxSpeed>500</maxSpeed>
       <Weapons>HeavyBlaster</Weapons>
@@ -124,8 +188,8 @@
       <name>Pirate03</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <enableAI>1</enableAI>
+<!--      <enableAI>1</enableAI>  -->
       <team>1</team>
       <swarm>1</swarm>
-      <attackDistance>5</attackDistance>
+      <attackDistance>0.5</attackDistance>
       <maxSpeed>500</maxSpeed>
       <Weapons>HeavyBlaster</Weapons>
Index: data/trunk/scripts/vertical_scroller/vs1.lua
===================================================================
--- data/trunk/scripts/vertical_scroller/vs1.lua	(revision 4651)
+++ data/trunk/scripts/vertical_scroller/vs1.lua	(revision 4652)
@@ -15,17 +15,25 @@
 triggerCutscene:setRadius(50)
 triggerCutscene:setTarget("Player")
-triggerCutscene:setAbsCoor(3000 , 0 , -10)
+triggerCutscene:setAbsCoor(2300 , 0 , 10)
 triggerCutscene:setDebugDraw(true)
 triggerCutscene:setActiveOnCreation(false)
 
+-- Create another cutscene trigger
+triggerCutscene02 = ScriptTrigger()
+triggerCutscene02:setScript("vs1.lua")
+triggerCutscene02:setFunction("switchToOtherPirate")
+triggerCutscene02:setActiveOnCreation(true)
 
 -- Global Variables
+counter = 0
+cutsceneRunning = false
+cutsceneEnd = false
 
 function init(timestep)
 -- cameraManager:setCam("GameWorld-Camera")
 cameraManager:atachCameraToWorldEntity("CameraOne", "NPC", "Pirate01")
-cameraManager:setRelCoor("CameraOne", 6.5, 3.3 , 3.3)
+cameraManager:setRelCoor("CameraOne", 8, 4 , 3.3)
 -- cameraManager:changeTarget("CameraOne", "NPC", "Pirate01")
--- cameraManager:jumpCam("CameraOne", 3400, 0, 50)
+-- cameraManager:jumpCam("CameraOne", 3300, 0, 50)
 
 return true
@@ -34,9 +42,29 @@
 function startSequence(timestep)
 
--- cameraManager:setCam("CameraOne")
+cameraManager:setCam("CameraOne")
 -- gameWorld:showText("Kill those traitorous bastards")
 -- cameraManager:changeCurrTarget("NPC", "Pirate01")
 -- cameraManager:atachCurrCameraToWorldEntity("NPC", "Pirate01")
-
+cutsceneRunning = true
 return true
 end
+
+function switchToOtherPirate(timestep)
+
+if cutsceneRunning then
+counter = counter + timestep
+end
+
+if counter > 6 and counter < 7 then
+cameraManager:atachCameraToWorldEntity("CameraOne", "NPC", "Pirate03")
+cameraManager:setRelCoorSoft("CameraOne", 8, 4 , 3.3, 5)
+end
+
+if counter > 17 then
+cutsceneEnd = true
+cameraManager:setCam("GameWorld-Camera")
+end
+
+
+return cutsceneEnd
+end
